MV(1)

NUME
mv - mută (redenumește) fișiere

SINOPSIS
mv [OPȚIUNE]... [-T] SURSĂ DESTINAȚIE
mv [OPȚIUNE]... SURSĂ... DOSAR
mv [OPȚIUNE]... -t DOSAR SURSĂ...

DESCRIERE

Redenumește SURSĂ în DESTINAȚIE, sau mută SURSĂ în DIRECTOR.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

--backup[=CONTROL]
    face o copie de rezervă a fiecărui fișier destinație existent

-b  la fel ca --backup, dar nu acceptă un argument

--debug
    explică cum este copiat un fișier. Implică -v

--exchange
    interschimbă sursa cu destinația

-f, --force
    nu solicită acordul înainte de a suprascrie

-i, --interactive
    solicită acordul înainte de a suprascrie

-n, --no-clobber
    nu suprascrie un fișier existent

Dacă specificați mai mult de una dintre opțiunile -i, -f, -n, -n, numai cea finală are efect.

--no-copy
    nu copiază dacă redenumirea eșuează

--strip-trailing-slashes
    elimină orice bară oblică finală din fiecare argument SURSĂ

-S, --suffix=SUFIX
    înlocuiește sufixul obișnuit de copie de rezervă

-t, --target-directory=DIRECTOR
    mută toate argumentele SURSĂ în DIRECTOR

-T, --no-target-directory
    tratează DESTINAȚIA ca pe un fișier obișnuit

--update[=UPDATE]
    controlează ce fișiere existente sunt actualizate; UPDATE={all (toate), none (niciunul), none-fail (fără eșec), older (mai vechi, valoarea implicită)}.

-u  echivalent cu --update[=older]. Vedeți mai jos

-v, --verbose
    explică ce se face pe parcursul procesului

-Z, --context
    stabilește contextul de securitate SELinux al fișierului destinație la tipul implicit

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

UPDATE controlează ce fișiere existente în destinație sunt înlocuite. „all” este operația implicită când nu este specificată o opțiune --update și are ca rezultat înlocuirea tuturor fișierelor existente în destinație. „none” este similară cu opțiunea --no-clobber, prin aceea că niciun fișier din destinație nu este înlocuit, dar nici fișierele omise nu induc un eșec. „none-fail” asigură, de asemenea, că niciun fișier nu este înlocuit în destinație, dar orice fișier omis este diagnosticat și induce un eșec. „older” este operația implicită când este specificată opțiunea --update și are ca rezultat înlocuirea fișierelor dacă sunt mai vechi decât fișierul sursă corespunzător.

Sufixul copiei de rezervă este „~”, cu excepția cazului în care este stabilit cu opțiunea --suffix sau variabila de mediu SIMPLE_BACKUP_SUFFIX. Metoda de control al versiunii poate fi selectată cu ajutorul opțiunii --backup sau prin intermediul variabilei de mediu VERSION_CONTROL. Iată valorile:

none, off
    nu face niciodată copii de rezervă (chiar dacă este dată opțiunea --backup)

numbered, t
    face copii de rezervă numerotate

existing, nil
    numerotat dacă copiile de rezervă numerotate există, simplu în caz contrar

simple, never
    întotdeauna face copii de rezervă simple

AUTOR
Scris de Mike Parker, David MacKenzie și Jim Meyering.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
rename(2)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/mv>
sau local rulând comanda: «info '(coreutils) du invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.